List tokens
curl --request GET \
--url https://api.example.com/api/projects/{projectId}/security/tokens \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/projects/{projectId}/security/tokens"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/projects/{projectId}/security/tokens', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"token": "<string>",
"projectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "<string>",
"createdBy": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"email": "jsmith@example.com",
"firstName": "<string>",
"lastName": "<string>"
}
}
]Security
List tokens
Retrieves all access tokens for the specified project.
GET
/
api
/
projects
/
{projectId}
/
security
/
tokens
List tokens
Authorizations
personalAccessTokeninternalAuth
Personal access token is obtained through your profile
Path Parameters
Unique identifier of the project
Response
200 - application/json
List of project access tokens
Unique identifier of the project access token
Name of the access token
The access token value
ID of the project this token belongs to
Timestamp when the token was created
User who created the token
Show child attributes
Show child attributes
Was this page helpful?
⌘I